package vo

import "plugins/utils/helper"

type AccountType int64

const (
	AccountTypeDefault AccountType = iota
	AccountTypePhone
	AccountTypeQQ
)

func (o AccountType) AccountType(account string) AccountType {
	if account == "" {
		return AccountTypeDefault
	} else if helper.IsPhoneNumber(account) {
		return AccountTypePhone
	}
	return AccountTypeDefault
}

func (o AccountType) Value() int64 {
	return int64(o)
}
